import { h } from "@stencil/core";
export default {
  title: "Components/Payout Details Card",
};
export const Loading = () => {
  return (h("sqm-payout-details-card", { demoData: {
      states: {
        loading: true,
      },
    } }));
};
export const NextPayout = () => {
  return (h("sqm-payout-details-card", { demoData: {
      states: {
        badgeStatus: "nextPayout",
      },
    } }));
};
export const PayoutToday = () => {
  return (h("sqm-payout-details-card", { demoData: {
      states: {
        badgeStatus: "payoutToday",
      },
    } }));
};
export const ThresholdPayout = () => {
  return (h("sqm-payout-details-card", { demoData: {
      states: {
        thresholdBalance: "50 USD",
        badgeStatus: "thresholdPayout",
      },
    } }));
};
export const PaypalPayout = () => {
  return (h("sqm-payout-details-card", { demoData: {
      states: {
        payoutType: "PAYPAL",
      },
    } }));
};
